Summary: Panels to let users to change server settings.
%define name smeserver-userpanels
Name: %{name}
%define version 1.0
%define release 5
Version: %{version}
Release: %{release}%{?dist}
License: GPL
URL: http://www.dungog.net/sme
Group: SMEserver/addon
Source: %{name}-%{version}.tar.gz
BuildArchitectures: noarch
BuildRoot: /var/tmp/%{name}-%{version}
Requires: e-smith-release >= 7.0
BuildRequires: e-smith-devtools
#Requires: smeserver-userpanel
AutoReqProv: no

%description
Provides additinal userpanels that allows user settings to be altered.
Change password,Forward mail, Backup users home directory,
Delegate creation of users with restrictions.

%changelog
* Wed Feb 28 2007 Stephen Noble <stephen@dungog.net> 
- remove Requires: smeserver-userpanel
- [1.0-5]

* Sun Feb 18 2007 Stephen Noble <support@dungog.net>
- swedish translation, thanks Chrille
- [1.0-4]

* Mon Oct 30 2006  Stephen Noble <support@dungog.net>
- forwarding lexicon updated for de
- [1.0-3]

* Sun Mar 26 2006  Stephen Noble <support@dungog.net>
- forwarding and password lexicons updated for de
- fix, error in logs starting httpd-admin [sme 1991]
- [1.0-2]

* Sun Mar 26 2006  Stephen Noble <support@dungog.net>
- Userpanel-forwarding lexicons for de, fr
- Partial forwarding lexicons for es, it
- [1.0-1]

* Fri Mar 17 2006  Stephen Noble <support@dungog.net>
- FormMagick version for Userpanel-forward, english only
- Userpanel-password updated to current FM style
- [0.9-3]

* Wed Sep 21 2005  Stephen Noble <support@dungog.net>
- FormMagick version for Userpanel-password, Languages included
- [0.9-2]

* Wed Sep 21 2005  Stephen Noble <support@dungog.net>
- initial release, contains
- userdata-backup, useraccounts, forward mail, change password
- [0.9-1]

%prep
%setup

%build
LEXICONS1=$(find root/etc/e-smith/web/functions/userpanel-password -type f )
LEXICONS2=$(find root/etc/e-smith/web/functions/userpanel-forwarding -type f )
LEXICONS3=$(find root/etc/e-smith/locale/ -type f )

for lexicon in $LEXICONS1 $LEXICONS2 $LEXICONS3
do
    /sbin/e-smith/validate-lexicon $lexicon
done

#/sbin/e-smith/generate-lexicons

perl createlinks

%install
rm -rf $RPM_BUILD_ROOT
(cd root   ; find . -depth -print | cpio -dump $RPM_BUILD_ROOT)
rm -f %{name}-%{version}-filelist
/sbin/e-smith/genfilelist $RPM_BUILD_ROOT > %{name}-%{version}-filelist
echo "%doc COPYING"  >> %{name}-%{version}-filelist

%clean
cd ..
rm -rf %{name}-%{version}

%pre
%preun

%post
#new installs
if [ $1 = 1 ] ; then

 globalUP=`/sbin/e-smith/db accounts get globalUP`
 if [ "x$globalUP" = "x" ]; then
     /sbin/e-smith/db accounts set globalUP userpanelglobal FirstName "global user" LastName "panel access" AdminPanels userpanel-forwarding,userpanel-password || :
 fi

#/etc/e-smith/events/actions/navigation-conf 2>/dev/null

fi

#upgrades (and new installs)

#if [ -d /etc/e-smith/events/conf-userpanel ] ; then
#   /sbin/e-smith/signal-event conf-userpanel
#fi

#notice
echo 'smeserver-mailsorting has procmail and maildrop'
echo 'smeserver-vacation has vacation'

%postun
#uninstall
#if [ $1 = 0 ] ; then

 #DBS=`find /home/e-smith/db/navigation -type f -name "navigation.*"`
 #for db in $DBS ; do
 #         /sbin/e-smith/db $db delete userpanel-password 2>/dev/null
 #         /sbin/e-smith/db $db delete userpanel-userbackup 2>/dev/null
 #         /sbin/e-smith/db $db delete userpanel-forwarding 2>/dev/null
 #         /sbin/e-smith/db $db delete userpanel-useraccounts   2>/dev/null
 #done
#fi

%files -f %{name}-%{version}-filelist
%defattr(-,root,root)

